Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681152 (CVE-2019-9200) - <app-text/poppler-0.75.0: heap-based buffer underwrite (fix crash on broken files)
Summary: <app-text/poppler-0.75.0: heap-based buffer underwrite (fix crash on broken f...
Status: RESOLVED FIXED
Alias: CVE-2019-9200
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://gitlab.freedesktop.org/popple...
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on: poppler-0.75.0 poppler-0.76 685488 685492 685494
Blocks: CVE-2018-20662
  Show dependency tree
 
Reported: 2019-03-21 12:30 UTC by D'juan McDonald (domhnall)
Modified: 2019-08-02 00:21 UTC (History)
2 users (show)

See Also:
Package list:
app-text/poppler-0.77.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2019-03-21 12:30:28 UTC
(https://nvd.nist.gov/vuln/detail/CVE-2019-9200):

A heap-based buffer underwrite exists in ImageStream::getLine() located at Stream.cc in Poppler 0.74.0 that can (for example) be triggered by sending a crafted PDF file to the pdfimages binary. It allows an attacker to cause Denial of Service (Segmentation fault) or possibly have unspecified other impact.

fixed on master 0.75:
https://gitlab.freedesktop.org/poppler/poppler/commit/f4136a6353162db249f63ddb0f20611622ab61b4

Release 0.75.0:
        core:
         * Fix rendering of some annotations
>        * Fix crashes in broken files
         * Small internal code improvements

        cpp:
         * Improve documentation
         * tests: Add showing version information to poppler-dump

        utils:
         * pdfattach: new util
         * pdftohtml: add -dataurls parameter
         * pdftoppm: add -sep and -forcenum parameters
         * pdftohtml: make singleHtml and stout not mutually exclusive
         * pdfsig: fix use after free

Release 0.74.0:
        core:
         * Remove support for obsolete systems. Issue #709
         * Include timezone in timeToDateString()
         * Fix/silence some warnings
         * Fix issues with broken files (anyone know if same here?)



Gentoo Security Padawan
(domhnall)
Comment 1 Andreas Sturmlechner gentoo-dev 2019-06-01 14:49:37 UTC
Arches, please stabilise.
Comment 2 Rolf Eike Beer 2019-06-02 17:27:08 UTC
sparc stable
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-06-04 15:18:17 UTC
x86 stable
Comment 4 Sergei Trofimovich gentoo-dev 2019-06-07 06:37:21 UTC
ppc stable
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-06-07 20:14:50 UTC
amd64 stable
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-06-09 01:25:44 UTC
arm64 stable
Comment 7 Sergei Trofimovich gentoo-dev 2019-06-09 19:28:30 UTC
hppa stable
Comment 8 Sergei Trofimovich gentoo-dev 2019-06-09 19:30:38 UTC
ppc64 stable
Comment 9 Markus Meier gentoo-dev 2019-06-13 04:27:16 UTC
arm stable
Comment 10 Agostino Sarubbo gentoo-dev 2019-06-13 14:17:59 UTC
s390 stable
Comment 11 Agostino Sarubbo gentoo-dev 2019-06-13 14:57:18 UTC
ia64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2019-06-14 09:00:42 UTC
alpha stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 13 Larry the Git Cow gentoo-dev 2019-06-14 20:42:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c21200f502c2efbddf80d5ff88aae6b24213a6dc

commit c21200f502c2efbddf80d5ff88aae6b24213a6dc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-06-14 17:53:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-06-14 20:42:20 +0000

    app-text/poppler: Security cleanup
    
    Bug: https://bugs.gentoo.org/674618
    Bug: https://bugs.gentoo.org/681128
    Bug: https://bugs.gentoo.org/681152
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
    Package-Manager: Portage-2.3.66, Repoman-2.3.11

 app-text/poppler/Manifest              |   2 -
 app-text/poppler/poppler-0.74.0.ebuild | 127 ---------------------------------
 app-text/poppler/poppler-0.76.1.ebuild | 127 ---------------------------------
 3 files changed, 256 deletions(-)
Comment 14 Andreas Sturmlechner gentoo-dev 2019-06-15 21:43:27 UTC
Cleanup done, KDE team out.